x2gokdrive(1)

NAME
x2gokdrive - X server providing a graphical backend for X2Go Server

SYNOPSIS
x2gokdrive [:display] [option ...]

DESCRIPTION
x2gokdrive is a kdrive server that provides a graphical backend for X2Go desktop sessions, supporting modern extensions like composite, damage and randr.

Unlike nxagent (aka x2goagent) which is an X proxy, i.e. limited to the capabilities of the host X server, x2gokdrive is a real X server which uses the host X server window as "framebuffer" via fast SHM XImages.

OPTIONS
The server accepts all the standard options of Xserver(1).

Furthermore, it understands the nxagent-way of providing session options via the $DISPLAY environment variable. Currently, only a subset of nxagent's nx/nx display options is supported. Non-supported nx/nx options get ignored.

SIGNALS
Sending the SIGHUP signal to x2gokdrive switches the X server from running to suspend state and back.

Sending the SIGTERM signal to x2gokdrive shuts down the X server (and ends all applications attached to its $DISPLAY).

CAVEATS

•   The '-host-cursor' cursor is static in its appearance.

•   The build gets a warning about 'nanosleep'. I think the various '-D' build flags are causing this. I haven't figured as yet how to work round it. It doesn't appear to break anything however.

SEE ALSO
X(7), Xserver(1), nxagent(@appmansuffic@), x2goagent(1)

AUTHOR
This man page has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go Project (https://wiki.x2go.org).